
QGIS Application - Bug report #13542

Postgis view breaks Qgis Server WFS

2015-10-08 02:00 AM - Henrik Uggla

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.2 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21584

Description

I've created a view in Postgis 9.3 like this:

SELECT table1.id, table2.geom FROM myschema.table1 JOIN myschema.table2 USING (joincol);

Where id is unique, public has all privileges and only containing point geometries.

When I add this view to a Qgis Server project, and publish it as WFS, GetCapabilities gives me "Internal Server Error". If I remove the view

or unpublish it for WFS, GetCapabilities works again. The view is correctly displayed in Qgis Desktop.

History

#1 - 2015-10-08 02:05 AM - Henrik Uggla

...and table1 has no geometry.

#2 - 2016-09-10 01:21 AM - Tudor Bărăscu

Adding some test data to your issue would greatly improve your chances of getting noticed.

All the best

#3 - 2017-03-07 02:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Target version deleted (Future Release - High Priority)

Works like a charm here on Ubuntu 16.04 and QGIS 2.18.4

Please leave feedback.

#4 - 2017-04-29 06:29 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
